import request from '@/utils/request'

// 查询链接日志列表
export function listDrainageLinkLogs(query) {
  return request({
    url: '/qw/drainageLinkLogs/list',
    method: 'get',
    params: query
  })
}

// 查询链接日志详细
export function getDrainageLinkLogs(id) {
  return request({
    url: '/qw/drainageLinkLogs/' + id,
    method: 'get'
  })
}

// 新增链接日志
export function addDrainageLinkLogs(data) {
  return request({
    url: '/qw/drainageLinkLogs',
    method: 'post',
    data: data
  })
}

// 修改链接日志
export function updateDrainageLinkLogs(data) {
  return request({
    url: '/qw/drainageLinkLogs',
    method: 'put',
    data: data
  })
}

// 删除链接日志
export function delDrainageLinkLogs(id) {
  return request({
    url: '/qw/drainageLinkLogs/' + id,
    method: 'delete'
  })
}

// 导出链接日志
export function exportDrainageLinkLogs(query) {
  return request({
    url: '/qw/drainageLinkLogs/export',
    method: 'get',
    params: query
  })
}